<?php
	
// vsechny chyby	
error_reporting(E_ALL|E_STRICT);

// timezone
date_default_timezone_set("Europe/Prague");
	
// cesta pro knihovny	
set_include_path('../library' . PATH_SEPARATOR . get_include_path());  

// Loader -- auto-load
require_once('Zend/Loader.php');
Zend_Loader::registerAutoload();

// front-controller
$front = Zend_Controller_Front::getInstance();



//---
// routovani subdomen -- zacatek
//---

// rozseknuti nazvu serveru na domeny
$domains = explode('.', $_SERVER["HTTP_HOST"]);

// overeni trech casti: www(0).domena(1).cz(2) 
if ( 3 !== count($domains) )
{
	// presmerovani na defaultni domenu		
	header("Location: http://www.domena.cz");
	exit();
}

// aktualni subdomena
$subdomain = $domains[0];
Zend_Registry::set('subdomain', $subdomain);

// zakladni www router
$www_router = new Zend_Controller_Router_Rewrite();
// zruseni defaultniho routovani
$www_router->removeDefaultRoutes();

// vlastni defaultni routa
$route = new Zend_Controller_Router_Route(
	'/*',
	array('controller' => 'index', 'action' => 'index')
);
$www_router->addRoute('default', $route);

// kontakt -- staticka stranka indexu
$route = new Zend_Controller_Router_Route(
	'/contact/*',
	array('controller' => 'index', 'action' => 'contact')
);
$www_router->addRoute('index_contact', $route);

// o nas -- staticka stranka indexu
$route = new Zend_Controller_Router_Route(
	'/about/*',
	array('controller' => 'index', 'action' => 'about')
);
$www_router->addRoute('index_about', $route);

// subdomenovy router -- kategorie
$sub_router = new Zend_Controller_Router_Rewrite();
$sub_router->removeDefaultRoutes();
// defaultni subdomenovy router
$route = new Zend_Controller_Router_Route(
	'/*', 
	array(
		'controller' => 'category', 
		'action' => 'index', 
		'category_url' => $subdomain,
	)
);
$sub_router->addRoute('category_index', $route);

// konkretni clanek v kategorii
$route = new Zend_Controller_Router_Route(
	'/:article_url/*',
	array(
		'controller' => 'article',
		'action' => 'index',
		'category_url' => $subdomain,
	)
); 
$sub_router->addRoute('article_index', $route);	

// rozhodnuti, ktera z rout je primarni dle subdomeny indexu
if ( 'www' === $subdomain )
{		
	$front->setRouter($www_router);	// defaultni router -- index
	Zend_Registry::set('alt_router', $sub_router); // alternativni router -- subdomeny
}
else
{
	$front->setRouter($sub_router); // defaultni router -- subdomeny
	Zend_Registry::set('alt_router', $www_router);	// alternativni router -- index
}



//---
// routovani subdomen -- konec
//---

// vlastni view
$view = new Zend_View;
$view->setScriptPath(array('../application/views/scripts', '.'));
$view->setHelperPath('../application/views/helpers', 'Jens_View_Helper');

// ulozeni subdomeny a domeny do view
$view->server = new stdClass();
$view->server->subdomain = $subdomain;
$view->server->domain = $domains[1].'.'.$domains[2];

Zend_Registry::set('view', $view);


// zakazat defaultni viewRender
$front->setParam('noViewRenderer', true); 


// spusteni zendu
$front->run('../application/controllers'); 