<?php

class Jens_View_Helper_JensUrl 
{
    public $view;

    public function setView(Zend_View_Interface $view)
    {
        $this->view = $view;
    }

    /**
     * vykradeny defautlni url helper zendu (ma identicke parametry az na reset, ten je defaultne TRUE)
     */
    public function JensUrl(array $urlOptions = array(), $name = null, $reset = true, $encode = true)
    {

		$front = Zend_Controller_Front::getInstance();

		$router = $front->getRouter();

		if (empty($name)) 
		{
			try {
			    $name = $router->getCurrentRouteName();
			} catch (Zend_Controller_Router_Exception $e) {
			    $name = 'default';
			}
		}

		if ($encode) 
		{
			foreach ($urlOptions as $key => $option) 
			{
				$urlOptions[$key] = ($option !== null) ? urlencode($option) : $option;
			}
		}

		// pokud neexistuje roura v aktualnim routru, zkusime router alternativni z registru
        if ( !$router->hasRoute($name) )
        {
        	$router = Zend_Registry::get('alt_router');	
        }

		$route = $router->getRoute($name);
				
		$url = $route->assemble($urlOptions, $reset);
		
		return $url;
	}
}
